You can import this changeset into BK by piping this whole message to:
'| bk receive [path to repository]' or apply the patch as usual.

===================================================================


ChangeSet@1.1414.4.4, 2003-11-09 00:32:16-02:00, acme@conectiva.com.br
  o LLC: remove unneeded f_bit variables


 llc_c_ac.c |   27 +++++++++------------------
 1 files changed, 9 insertions(+), 18 deletions(-)


diff -Nru a/net/llc/llc_c_ac.c b/net/llc/llc_c_ac.c
--- a/net/llc/llc_c_ac.c	Sat Nov 15 17:05:05 2003
+++ b/net/llc/llc_c_ac.c	Sat Nov 15 17:05:05 2003
@@ -265,11 +265,10 @@
 
 	if (nskb) {
 		struct llc_sap *sap = llc->sap;
-		u8 f_bit = 1;
 
 		llc_pdu_header_init(nskb, LLC_PDU_TYPE_U, sap->laddr.lsap,
 				    llc->daddr.lsap, LLC_PDU_RSP);
-		llc_pdu_init_as_dm_rsp(nskb, f_bit);
+		llc_pdu_init_as_dm_rsp(nskb, 1);
 		rc = llc_mac_hdr_init(nskb, llc->dev->dev_addr, llc->daddr.mac);
 		if (rc)
 			goto free;
@@ -290,11 +289,10 @@
 
 	if (nskb) {
 		struct llc_sap *sap = llc->sap;
-		u8 f_bit = llc->f_flag;
 
 		llc_pdu_header_init(nskb, LLC_PDU_TYPE_U, sap->laddr.lsap,
 				    llc->daddr.lsap, LLC_PDU_RSP);
-		llc_pdu_init_as_dm_rsp(nskb, f_bit);
+		llc_pdu_init_as_dm_rsp(nskb, llc->f_flag);
 		rc = llc_mac_hdr_init(nskb, llc->dev->dev_addr, llc->daddr.mac);
 		if (rc)
 			goto free;
@@ -347,13 +345,12 @@
 	struct sk_buff *nskb = llc_alloc_frame(llc->dev);
 
 	if (nskb) {
-		u8 f_bit = 0;
 		struct llc_sap *sap = llc->sap;
 		struct llc_pdu_sn *pdu = (struct llc_pdu_sn *)&llc->rx_pdu_hdr;
 
 		llc_pdu_header_init(nskb, LLC_PDU_TYPE_U, sap->laddr.lsap,
 				    llc->daddr.lsap, LLC_PDU_RSP);
-		llc_pdu_init_as_frmr_rsp(nskb, pdu, f_bit, llc->vS,
+		llc_pdu_init_as_frmr_rsp(nskb, pdu, 0, llc->vS,
 					 llc->vR, INCORRECT);
 		rc = llc_mac_hdr_init(nskb, llc->dev->dev_addr, llc->daddr.mac);
 		if (rc)
@@ -546,12 +543,11 @@
 	struct sk_buff *nskb = llc_alloc_frame(llc->dev);
 
 	if (nskb) {
-		u8 f_bit = 1;
 		struct llc_sap *sap = llc->sap;
 
 		llc_pdu_header_init(nskb, LLC_PDU_TYPE_S, sap->laddr.lsap,
 				    llc->daddr.lsap, LLC_PDU_RSP);
-		llc_pdu_init_as_rej_rsp(nskb, f_bit, llc->vR);
+		llc_pdu_init_as_rej_rsp(nskb, 1, llc->vR);
 		rc = llc_mac_hdr_init(nskb, llc->dev->dev_addr, llc->daddr.mac);
 		if (rc)
 			goto free;
@@ -572,11 +568,10 @@
 
 	if (nskb) {
 		struct llc_sap *sap = llc->sap;
-		u8 f_bit = 0;
 
 		llc_pdu_header_init(nskb, LLC_PDU_TYPE_S, sap->laddr.lsap,
 				    llc->daddr.lsap, LLC_PDU_RSP);
-		llc_pdu_init_as_rej_rsp(nskb, f_bit, llc->vR);
+		llc_pdu_init_as_rej_rsp(nskb, 0, llc->vR);
 		rc = llc_mac_hdr_init(nskb, llc->dev->dev_addr, llc->daddr.mac);
 		if (rc)
 			goto free;
@@ -621,11 +616,10 @@
 
 	if (nskb) {
 		struct llc_sap *sap = llc->sap;
-		u8 f_bit = 1;
 
 		llc_pdu_header_init(nskb, LLC_PDU_TYPE_S, sap->laddr.lsap,
 				    llc->daddr.lsap, LLC_PDU_RSP);
-		llc_pdu_init_as_rnr_rsp(nskb, f_bit, llc->vR);
+		llc_pdu_init_as_rnr_rsp(nskb, 1, llc->vR);
 		rc = llc_mac_hdr_init(nskb, llc->dev->dev_addr, llc->daddr.mac);
 		if (rc)
 			goto free;
@@ -645,12 +639,11 @@
 	struct sk_buff *nskb = llc_alloc_frame(llc->dev);
 
 	if (nskb) {
-		u8 f_bit = 0;
 		struct llc_sap *sap = llc->sap;
 
 		llc_pdu_header_init(nskb, LLC_PDU_TYPE_S, sap->laddr.lsap,
 				    llc->daddr.lsap, LLC_PDU_RSP);
-		llc_pdu_init_as_rnr_rsp(nskb, f_bit, llc->vR);
+		llc_pdu_init_as_rnr_rsp(nskb, 0, llc->vR);
 		rc = llc_mac_hdr_init(nskb, llc->dev->dev_addr, llc->daddr.mac);
 		if (rc)
 			goto free;
@@ -755,11 +748,10 @@
 
 	if (nskb) {
 		struct llc_sap *sap = llc->sap;
-		u8 f_bit = 1;
 
 		llc_pdu_header_init(nskb, LLC_PDU_TYPE_S, sap->laddr.lsap,
 				    llc->daddr.lsap, LLC_PDU_RSP);
-		llc_pdu_init_as_rr_rsp(nskb, f_bit, llc->vR);
+		llc_pdu_init_as_rr_rsp(nskb, 1, llc->vR);
 		rc = llc_mac_hdr_init(nskb, llc->dev->dev_addr, llc->daddr.mac);
 		if (rc)
 			goto free;
@@ -780,11 +772,10 @@
 
 	if (nskb) {
 		struct llc_sap *sap = llc->sap;
-		u8 f_bit = 1;
 
 		llc_pdu_header_init(nskb, LLC_PDU_TYPE_S, sap->laddr.lsap,
 				    llc->daddr.lsap, LLC_PDU_RSP);
-		llc_pdu_init_as_rr_rsp(nskb, f_bit, llc->vR);
+		llc_pdu_init_as_rr_rsp(nskb, 1, llc->vR);
 		rc = llc_mac_hdr_init(nskb, llc->dev->dev_addr, llc->daddr.mac);
 		if (rc)
 			goto free;

===================================================================


This BitKeeper patch contains the following changesets:
1.1414.4.4
## Wrapped with gzip_uu ##


M'XL( .%XMC\  \65;VO;,!#&7T>?0M W&ZOM.\F2;(^4;>W8R@HK*7UM%%MI
MLL9VL=V,@3_\)+GKWW0EHS#+YL'6W4\GW0/>H^>=:;.)+BI#]NC7INNS2='4
MINA7&QT6317.6SLQ:QH[$2V;RD0N-II?LJ@V?<!"&2*Q$:>Z+Y9T8]HNFV#(
M;[_TOZY,-IE]_G)^\G%&R'1*#Y>ZOC!GIJ?3*>F;=J/79?=!]\MU4X=]J^NN
M,KU?>[@-'1@ LT.@XB#D@!)B-118(NH830DL3F1,7&D?'I?_D,(1(06&":8#
M*& ).:(88HQQ: <%'B%&D%* C+,,90 L Z!;R?0=T@#()_JZNS@D!6WHR<EA
M1EM3-1M#K^O:F-*4=)'/5SW=Z':EYVO3D6]4 4_(Z=VADF#'BQ#00 ZV[W"P
M/8[6Z\(]>9'K(BS&30B.P+E@\<#M&Q]0+70,F*8,%A)COA/NIB><@1JXDA*]
M3Y[&.L.\;ID[X>ZL@X-PWO'68>ECTX#ZNVE2&F#R?UTSGO)W&K0__6UM<+KE
MP/_!3$=,)A2M*&;E>)3)Q#&ORNM\5:_Z7'=Y6>5M=_6F[B[G^Q3?OK<)*?=Y
MJ?)Y7E[(LY/!P2)?K/6%(W !CL"%=(11GA(6;=7>8]BI?0HWK,W9/CD2<>HP
M0L0.,\I33&M^W-_!'\#,%2*4\ 25>H*7EPCP@""96]6*.\OC4;80ZO;9&F3L
MVR %]P0O+Q$>UJ"$)RCI&SG*%L+S):C$=U0EOJ.C[ *X_8<42U-<=M?5U)0+
-77)3DM\[K;#=N 8     
 
